Bug 680921 - Review Request: perl-PathTools - PathTools Perl module (Cwd, File::Spec)
Summary: Review Request: perl-PathTools - PathTools Perl module (Cwd, File::Spec)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 680893
TreeView+ depends on / blocked
 
Reported: 2011-02-28 14:05 UTC by Marcela Mašláňová
Modified: 2013-05-10 11:04 UTC (History)
5 users (show)

Fixed In Version: perl-PathTools-3.33-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-31 20:03:31 UTC
emmanuel: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Emmanuel Seyman 2011-03-12 21:53:19 UTC
Taking.

Comment 2 Emmanuel Seyman 2011-03-12 22:13:02 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2907262

 [x] Rpmlint output: 2 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.
 [x] Buildroot is correct
None specified, default is used.

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: (GPL+ or Artistic) and BSD
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
92f0df032c399fadef2e2e647ebc3111  PathTools-3.33.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: rawhide.x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2907262
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=9, Tests=733,  0 wallclock secs ( 0.10 usr  0.01 sys +  0.26 cusr  0.05 csys =  0.42 CPU)
Result: PASS

APPROVED.

Comment 3 Marcela Mašláňová 2011-03-14 13:49:45 UTC
New Package SCM Request
=======================
Package Name: perl-PathTools
Short Description: PathTools Perl module (Cwd, File::Spec)
Owners: mmaslano ppisar psabata
Branches: F-15
InitialCC: perl-sig

Comment 4 Jason Tibbitts 2011-03-14 15:37:57 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-03-16 13:56:12 UTC
perl-PathTools-3.33-1.fc15,perl-5.12.3-155.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-PathTools-3.33-1.fc15,perl-5.12.3-155.fc15

Comment 6 Fedora Update System 2011-03-31 20:03:26 UTC
perl-PathTools-3.33-1.fc15, perl-5.12.3-155.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Andrea Veri 2013-05-10 09:59:45 UTC
Package Change Request
======================
Package Name: perl-PathTools
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig

Comment 8 Gwyn Ciesla 2013-05-10 10:57:34 UTC
Git done (by process-git-requests).

Comment 9 Paul Howarth 2013-05-10 11:04:08 UTC
These modules are bundled with the EL-6 perl package and *cannot* be in EPEL-6!

# yum install 'perl(Cwd)' 'perl(File::Spec)'
Loaded plugins: rhnplugin
This system is receiving updates from RHN Classic or RHN Satellite.
Setting up Install Process
Package 4:perl-5.10.1-131.el6_4.x86_64 already installed and latest version
Package 4:perl-5.10.1-131.el6_4.x86_64 already installed and latest version
Nothing to do


Note You need to log in before you can comment on or make changes to this bug.